layer-farm-batches¶
Source¶
Repository:
jef-systems/jef-layer-farm-backendSource Run ID:
24916440967Source SHA:
04fc05c78cba84982ce19870a690a0b7b6a02d48Module:
layer-farmDocumentation Scope:
getLambda:
jef-layer-farm-get-2
Endpoint¶
API Name:
jef-layer-farmAction Name:
getMethod:
GETScope Label:
GETResource Path:
/layer-farm-batchesComplete Endpoint:
https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batchesLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-layer-farm-get-2curl payload mode:
query_string
API Gateway Description¶
Function: jef-layer-farm-get-2
API Name: jef-layer-farm
Action: get
Method: GET
Resource Path: /layer-farm-batches
Payload:
- entity_number: string-4-digits-nonzerostart
- include_deleted: boolean-optional
- limit: number-whole-number-optional
- next_key: string-optional
- scan_forward: boolean-optional
- batch_id: string-{batch-slug}-optional
- batch: string-optional
- start_date: string-yyyy-mm-dd-optional
- end_date: string-yyyy-mm-dd-optional
- is_active: boolean-optional
- include_inactive: boolean-optional
Response:
- exists: boolean
- message: string
- source: string when operation reaches DynamoDB
- items: array
- count: number
- next_key: string or null
Request Payload¶
{
"entity_number": "string-4-digits-nonzerostart",
"include_deleted": "boolean-optional",
"limit": "number-whole-number-optional",
"next_key": "string-optional",
"scan_forward": "boolean-optional",
"batch_id": "string-{batch-slug}-optional",
"batch": "string-optional",
"start_date": "string-yyyy-mm-dd-optional",
"end_date": "string-yyyy-mm-dd-optional",
"is_active": "boolean-optional",
"include_inactive": "boolean-optional"
}
Response¶
{
"exists": "boolean",
"message": "string",
"source": "string when operation reaches DynamoDB",
"items": "array",
"count": "number",
"next_key": "string or null"
}
CMD curl¶
curl "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batches?entity_number=string-4-digits-nonzerostart&include_deleted=boolean-optional&limit=number-whole-number-optional&next_key=string-optional&scan_forward=boolean-optional&batch_id=string-%7Bbatch-slug%7D-optional&batch=string-optional&start_date=string-yyyy-mm-dd-optional&end_date=string-yyyy-mm-dd-optional&is_active=boolean-optional&include_inactive=boolean-optional"
PowerShell curl¶
curl.exe "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-batches?entity_number=string-4-digits-nonzerostart&include_deleted=boolean-optional&limit=number-whole-number-optional&next_key=string-optional&scan_forward=boolean-optional&batch_id=string-%7Bbatch-slug%7D-optional&batch=string-optional&start_date=string-yyyy-mm-dd-optional&end_date=string-yyyy-mm-dd-optional&is_active=boolean-optional&include_inactive=boolean-optional"